#ifndef SPI_H_
#define SPI_H_


//////Definiere Port Pins

#define STM32

#define PORT		GPIOA			//Port
#define Pin_SCLK   GPIO_Pin_12		//Clock Pin
#define Pin_MISO   GPIO_Pin_9     	//DI (DataIN) der karte
#define Pin_MOSI   GPIO_Pin_10     	//DO (DataOUT) der Karte
#define Pin_CS     GPIO_Pin_11		//Chip Select Pin

#define CS_1    GPIO_SetBits(PORT,Pin_CS);
#define CS_0    GPIO_ResetBits(PORT,Pin_CS);

#define sclk_1  GPIO_SetBits(PORT,Pin_SCLK);
#define sclk_0  GPIO_ResetBits(PORT,Pin_SCLK);

#define mosi_1  GPIO_SetBits(PORT,Pin_MISO);
#define mosi_0  GPIO_ResetBits(PORT,Pin_MISO);

#define miso    GPIO_ReadInputDataBit(PORT,Pin_MOSI)

#define delay_value 200    //Anzahl Delay Clocks... Mit diesem Define kann man den Speed erhhen!!!


void write_spi (unsigned char data_out);
unsigned char read_spi (void);
void init_spi(void);
unsigned char read_write_spi(unsigned char data_out);

unsigned char spiSendFrame(unsigned char* pBuffer, unsigned int size);
unsigned char spiReadFrame(unsigned char* pBuffer, unsigned int size);

#endif /*SPI_H_*/
